Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - crossover

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: crossover 16.0.0-2

Git Clone URL: https://aur-dev.archlinux.org/crossover.git (read-only)
Package Base: crossover
Description: Run Windows Programs on Linux
Upstream URL: http://www.codeweavers.com
Licenses: custom:CrossOver Linux License Grant
Replaces: crossover-games, crossover-pro, crossover-standard
Submitter: ying
Maintainer: roadrunner
Last Packager: roadrunner
Votes: 173
Popularity: 3.473885
First Submitted: 2012-03-14 16:03
Last Updated: 2016-12-19 08:30

Dependencies (83)

Required by (1)

Sources (1)

Latest Comments

1 2 3 4 5 6 ... Next › Last »

geomaster commented on 2017-01-31 05:33

If your crossover seg. faulted check installed packages for kdebindings-python* and remove it if it used PyKDE4. Install this packages from aur (kdebindings-python*-git). It solved my problem for crossover seg.faulted

roadrunner commented on 2016-12-19 08:33

Fixed license display issue.

ohmyarch commented on 2016-12-19 02:14

Help->License:

Traceback (most recent call last):
File "/opt/cxoffice/lib/python/crossoverui.py", line 1862, in on_License_activate
systeminfo.LicenseDialog()
File "/opt/cxoffice/lib/python/systeminfo.py", line 114, in LicenseDialog
f = gzip.GzipFile(os.path.join(cxutils.CX_ROOT, 'doc', 'license.txt.gz'), 'r')
File "/usr/lib/python2.7/gzip.py", line 94, in __init__
fileobj = self.myfileobj = __builtin__.open(filename, mode or 'rb')
IOError: [Errno 2] No such file or directory: '/opt/cxoffice/doc/license.txt.gz'

roadrunner commented on 2016-12-17 14:53

Update to upstream 16.0.0. Removed optdepends lib32-libgphoto and lib32-sane because of missing AUR packages.

eso commented on 2016-12-15 17:12

I'd be very pleased to see Crossover 16 soon - thanks for maintaining, integration works very well.

roadrunner commented on 2016-11-14 18:16

@webdawg crossover uses sane for scanner access. In the current situation without a lib32-sane package, this will work only on a 32bit arch installation. CodeWeavers recommends installing the sane package is that case. So I assume that the funtionality is there and works (I have to guess - I do not have the hardware to test this). So if you can bring the lib32-sane package back, this might restore scanner funtionality for windows applications running on crossover on 64bit arch. If not, please let me know so that I can remove lib32-sane from the dependency list.

webdawg commented on 2016-11-14 00:25

Anyone know if we still actually need lib32-sane

It looks like it is gone now, but I bet you the git is still there. Should I get the package rolling again?

Louis commented on 2016-11-05 09:27

There's no news in the 15.3.1 for Linux users. Only minor macOS improvements :)

roadrunner commented on 2016-03-04 19:38

@WarheadsSE: Thanks for the comment. Package failed to build in a clean chroot because of ${startdir} in the PKGBUILD.

I removed CHANGELOG from build process as it requires startdir, which should not be used in PKGBUILDs anymore and does not work in a clean chroot build process.

WarheadsSE commented on 2016-02-29 14:50

Building this in a clean chroot, via makechrootpkg, I needed to change line 138 to put the changelog properly to ${pkgdir}/.CHANGELOG